Bug 106473 - CAN-2003-0740 stunnel non-reentrant functions in signal handlers
Summary: CAN-2003-0740 stunnel non-reentrant functions in signal handlers
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: stunnel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL: http://marc.theaimsgroup.com/?l=stunn...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-07 14:31 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 14:04:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:297 normal SHIPPED_LIVE Important: stunnel security update 2003-11-12 05:00:00 UTC

Description Mark J. Cox 2003-10-07 14:31:17 UTC
A previous advisory provided updated packages to address re-entrancy
problems in stunnel's signal-handling routines.  These updates did not
address other bugs that were found by Steve Grubb, and introduced an
additional bug, which was fixed in stunnel 3.26.

We will update stunnel to the upstream version 3.26

http://marc.theaimsgroup.com/?l=stunnel-users&m=105980139926784
http://marc.theaimsgroup.com/?l=stunnel-users&m=106221975232250
http://marc.theaimsgroup.com/?l=bugtraq&m=106260760211958

This will be RHSA-2003:297

Comment 1 Mark J. Cox 2003-10-07 14:31:38 UTC
In QA

Comment 2 Mark J. Cox 2003-11-12 14:04:18 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-297.html



Note You need to log in before you can comment on or make changes to this bug.